---
lang: en
title: 'API docs: context.context.bind'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.context.bind.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [bind](./context.context.bind.md)

## Context.bind() method

Create a binding with the given key in the context. If a locked binding already exists with the same key, an error will be thrown.

<b>Signature:</b>

```typescript
bind<ValueType = BoundValue>(key: BindingAddress<ValueType>): Binding<ValueType>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>BindingAddress&lt;ValueType&gt;</code> | Binding key |

<b>Returns:</b>

`Binding<ValueType>`


